# Uses of Interface
net.shibboleth.idp.admin.AdministrativeFlowDescriptor

Packages that use AdministrativeFlowDescriptor
Package
Description
net.shibboleth.idp.admin
Classes supporting administrative interface machinery.
net.shibboleth.idp.admin.impl
Implementation classes for administrative profiles.

## Uses of AdministrativeFlowDescriptor in net.shibboleth.idp.admin

Classes in net.shibboleth.idp.admin that implement AdministrativeFlowDescriptor
Modifier and Type
Class
Description
`class`
`BasicAdministrativeFlowDescriptor`
A descriptor for an administrative flow.
`class`
`OneTimeAdministrativeFlowDescriptor`
Descriptor for an administrative flow that tracks whether it's been run or not to limit use.

## Uses of AdministrativeFlowDescriptor in net.shibboleth.idp.admin.impl

Fields in net.shibboleth.idp.admin.impl declared as AdministrativeFlowDescriptor
Modifier and Type
Field
Description
`private AdministrativeFlowDescriptor`
InitializeAdministrativeProfileContextTree.`flowDescriptor`
Descriptor of the administrative flow being run.
Methods in net.shibboleth.idp.admin.impl that return AdministrativeFlowDescriptor
Modifier and Type
Method
Description
`private AdministrativeFlowDescriptor`
InitializeAdministrativeProfileContextTree.`getFlowDescriptor()`
Get the `AdministrativeFlowDescriptor` to operate on.
Methods in net.shibboleth.idp.admin.impl with parameters of type AdministrativeFlowDescriptor
Modifier and Type
Method
Description
`void`
InitializeAdministrativeProfileContextTree.`setAdministrativeFlowDescriptor(AdministrativeFlowDescriptor descriptor)`
Set the flow descriptor describing the administrative flow being run.
Constructor parameters in net.shibboleth.idp.admin.impl with type arguments of type AdministrativeFlowDescriptor
Modifier
Constructor
Description
``
`AdministrativeFlowDescriptorManager(Collection<AdministrativeFlowDescriptor> freeObjects)`
Constructor.